## dzl-directory-reaper dzl-directory-reaper |

## Functions

DzlDirectoryReaper * | dzl_directory_reaper_new ()
void | dzl_directory_reaper_add_directory ()
void | dzl_directory_reaper_add_file ()
void | dzl_directory_reaper_add_glob ()
gboolean | dzl_directory_reaper_execute ()
void | dzl_directory_reaper_execute_async ()
gboolean | dzl_directory_reaper_execute_finish ()

## Types and Values

#define | DZL_TYPE_DIRECTORY_REAPER
| DzlDirectoryReaper

## Object Hierarchy

        GObject
        ╰── DzlDirectoryReaper

## Description

## Functions

### dzl_directory_reaper_new ()

    DzlDirectoryReaper *
    dzl_directory_reaper_new (void);

### dzl_directory_reaper_add_directory ()

    void
    dzl_directory_reaper_add_directory (DzlDirectoryReaper *self,
                                        GFile *directory,
                                        GTimeSpan min_age);

### dzl_directory_reaper_add_file ()

    void
    dzl_directory_reaper_add_file (DzlDirectoryReaper *self,
                                   GFile *file,
                                   GTimeSpan min_age);

### dzl_directory_reaper_add_glob ()

    void
    dzl_directory_reaper_add_glob (DzlDirectoryReaper *self,
                                   GFile *directory,
                                   const gchar *glob,
                                   GTimeSpan min_age);

### dzl_directory_reaper_execute ()

    gboolean
    dzl_directory_reaper_execute (DzlDirectoryReaper *self,
                                  GCancellable *cancellable,
                                  GError **error);

### dzl_directory_reaper_execute_async ()

    void
    dzl_directory_reaper_execute_async (DzlDirectoryReaper *self,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

### dzl_directory_reaper_execute_finish ()

    gboolean
    dzl_directory_reaper_execute_finish (DzlDirectoryReaper *self,
                                         GAsyncResult *result,
                                         GError **error);

## Types and Values

### DZL_TYPE_DIRECTORY_REAPER

    #define DZL_TYPE_DIRECTORY_REAPER (dzl_directory_reaper_get_type())

### DzlDirectoryReaper

    typedef struct _DzlDirectoryReaper DzlDirectoryReaper;